/*
 * Copyright (c) 2014 RWTH Aachen. All rights reserved.
 *
 * http://www.se-rwth.de/
 */
package abp.usage.dist;

/**
 * IP address and port configuration.
 * 
 * @author (last commit) $Author: ahaber $
 * @version $Revision: 3057 $, $Date: 2014-08-10 14:55:14 +0200 (So, 10 Aug
 * 2014) $
 * @since 2.5.0
 */
public class Configuration {
  /**
   * Empty default constructor prevents utility class
   * instantiation.
   */
  private Configuration() {
    
  }
  
  /** IP address of the sender. */
  public static final String SENDER_HOST = "localhost";
  
  /** IP address of the receiver. */
  public static final String RECEIVER_HOST = "localhost";
  
  /** TCP port used for ABPMessage communication. */
  public static final int PORT_ABP = 10815;
  
  /** TCP port used for acknowledgments of receipt. */
  public static final int PORT_ACK = 10816;
}
